package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag710;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT710Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT720Creator;

/**
 * @author hushichao
 * @date 2024/6/20
 */
public class Tag78DCreator extends AbsTagCreate {

    private MT710Creator mt710Creator;

    public Tag78DCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt710Creator= (MT710Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag78Value = mt710Creator.getInstructionstoIntermediaryBank();
        mt710Creator.set("78D", tag78Value);
    }
}
